Manual do PHP
Anterior | Apêndice C. Migrating from PHP 3 to PHP 4 | Próxima

# Running PHP 3 and PHP 4 concurrently

Recent operating systems provide the ability to perform versioning and scoping. This features make it possible to let PHP 3 and PHP 4 run as concurrent modules in one Apache server.

This feature is known to work on the following platforms:

- Linux with recent binutils (binutils 2.9.1.0.25 tested)

- Solaris 2.5 or better

- FreeBSD (3.2, 4.0 tested)

To enable it, configure PHP 3 and PHP 4 to use APXS (--with-apxs) and the necessary link extensions (--enable-versioning). Otherwise, all standard installations instructions apply. For example:

    $ ./configure \
      --with-apxs=/apache/bin/apxs \
      --enable-versioning \
      --with-mysql \
      --enable-track-vars

Anterior | Principal | Próxima
Migrating from PHP 3 to PHP 4 | Acima | Migrating Configuration Files